<?php
//all theme settings
class Kirhero_Theme_Settings_Class extends Kirhero_Theme_Class
{
	
	public function __construct() 
	{
		add_action( 'after_setup_theme', array( 'Kirhero_Theme_Settings_Class', 'theme_settings' ) );
		add_action( 'kirhero_before_outer_wrap', array( 'Kirhero_Theme_Settings_Class', 'kirhero_before_outer_wrap_test' ) );
		
		add_filter( 'kirhero_settings', array( 'Kirhero_Theme_Settings_Class', 'kirhero_settings' ) );
	}

	static public function theme_settings()
	{
		global $content_width;


	}
	
	
	static public function kirhero_settings()
	{	
		
		$settings = array();
		///customizer func
		$settings['admin_customizer_func']= array( 
					'kirhero_admin_header_style', 'kirhero_admin_header_panel', 'kirhero_admin_header_general', 'kirhero_admin_header_height', 'kirhero_admin_general_background_image',
					'kirhero_header_background', 'kirhero_header_full_width', 'kirhero_header_fixed', 'kirhero_header_padding_header', 'kirhero_header_margin_header', 
					'kirhero_admin_header_menu_general', 'kirhero_header_menu_background', 'kirhero_header_menu_position', 'kirhero_header_menu_link_color', 'kirhero_header_menu_link_hover_color',
					'kirhero_header_search_header', 'kirhero_header_search_header_show', 'kirhero_header_padding_margin', 'kirhero_header_menu_pad_mar','kirhero_admin_header_logo_custom_logo',
					'kirhero_admin_header_logo_color', 'kirhero_admin_header_logo_color_hover', 'kirhero_admin_header_tagline_color', 'kirhero_admin_header_logo_height', 'kirhero_admin_header_logo_width',
					'kirhero_admin_header_logo_show_title', 'kirhero_admin_header_logo_show_tagline', 'kirhero_header_menu_logo_pad_mar', 'kirhero_admin_header_dropdown_menu_header',
					'kirhero_admin_header_dropdown_menu_background', 'kirhero_admin_header_dropdown_menu_link_color', 'kirhero_admin_header_dropdown_menu_link_color_hover', 'kirhero_header_menu_link_active_color',
					'kirhero_admin_blog_panel', 'kirhero_admin_blog_general', 'kirhero_admin_blog_general', 'kirhero_admin_blog_both_sidebars_style', 'kirhero_admin_blog_style', 'kirhero_admin_blog_style_grid',
					'kirhero_admin_blog_equal_heights', 'kirhero_blog_article_header', 'kirhero_blog_article_display', 'kirhero_blog_article_display_length', 'kirhero_blog_article_display_read_more_text',
					'kirhero_blog_article_elements_positioning', 'kirhero_blog_article_meta', 'kirhero_admin_blog_margin_top', 'kirhero_blog_image_size', 'kirhero_blog_image_overlay', 'kirhero_blog_single_post',
					'kirhero_blog_single_layout', 'kirhero_blog_single_layout_both_sidebars_style', 'kirhero_blog_page_title_header', 'kirhero_blog_page_header_style', 'kirhero_blog_subheader_background_color',
					'kirhero_blog_subheader_text_background_color', 'kirhero_blog_subheader_pad_mar', 'kirhero_blog_subheader_breadcrumbs', 'kirhero_blog_subheader_breadcrumbs', 'kirhero_blog_single_meta',
					'kirhero_blog_single_elements_positioning', 'kirhero_blog_page_featured_header', 'kirhero_blog_page_featured_image_style', 'kirhero_blog_page_featured_image_size',
					'kirhero_blog_page_featured_image_full', 'kirhero_admin_general_panel', 'kirhero_admin_general_general', 'kirhero_admin_general_layout_style', 'kirhero_admin_general_layout_width',
					'kirhero_admin_general_layout_wide_width', 'kirhero_admin_general_layout_content_width', 'kirhero_admin_general_layout_sidebar_left_width','kirhero_admin_general_layout_sidebar_right_width',
					'kirhero_admin_general_header_pages', 'kirhero_admin_general_pages_layout', 'kirhero_admin_general_pages_both_sidebars_style', 'kirhero_admin_general_boxed_background_color',									'kirhero_admin_general_colors', 'kirhero_admin_general_boxed_inner_color', 'kirhero_admin_general_layout_boxed_shadow', 'kirhero_admin_general_background_color',
					'kirhero_admin_general_page_title_header', 'kirhero_general_page_header_style', 'kirhero_general_subheader_background_color', 'kirhero_general_subheader_text_background_color',
					'kirhero_general_subheader_pad_mar', 'kirhero_general_subheader_breadcrumbs', 'kirhero_admin_fonts_panel', 'kirhero_admin_fonts_body', 'kirhero_admin_fonts_main_menu',
					'kirhero_admin_fonts_all_heading', 'kirhero_admin_fonts_page_title', 'kirhero_admin_fonts_logo', 'kirhero_custom_js', 'kirhero_admin_sidebar_section', 'kirhero_admin_sidebar_background_color',
					'kirhero_admin_sidebar_pad', 'kirhero_admin_footer_panel', 'kirhero_admin_footer_general', 'kirhero_admin_footer_background_color', 'kirhero_admin_general_background_image_position',
					'kirhero_admin_general_background_image_attachment', 'kirhero_admin_general_background_image_repeat', 'kirhero_admin_general_background_image_size', 'kirhero_admin_general_wide_content_color',
					'kirhero_header_drop_shadow', 'kirhero_admin_general_link_color_header', 'kirhero_admin_general_link_color', 'kirhero_admin_general_link_color_hover', 'kirhero_admin_general_primary_color',
					'kirhero_admin_general_primary_color_hover', 'kirhero_admin_general_primary_border_color', 'kirhero_admin_fonts_entry_content', 'kirhero_admin_fonts_blog_entry_title',
					'kirhero_admin_fonts_blog_post_title', 'kirhero_admin_fonts_blog_post_content', 'kirhero_admin_slider', 'kirhero_admin_slider_background_image', 
					'kirhero_admin_slider_background_image_position','kirhero_admin_slider_background_image_attachment', 'kirhero_admin_slider_background_image_size', 'kirhero_admin_slider_full_width',
					'kirhero_admin_slider_active', 'kirhero_admin_slider_text_header', 'kirhero_admin_slider_text', 'kirhero_admin_slider_under_header', 'kirhero_admin_footer_text',
					'kirhero_admin_fonts_sidebar_title', 'kirhero_admin_sidebar_title_background_color', 'kirhero_admin_sidebar_title_border_color', 'kirhero_admin_sidebar_link_color',
					'kirhero_admin_sidebar_text_color', 'kirhero_admin_sidebar_link_color_hover', 'kirhero_header_menu_link_color_effect', 'kirhero_general_subheader_breadcrumbs_link_color',
					'kirhero_blog_subheader_breadcrumbs_link_color', 'kirhero_blog_page_featured_image_attachment', 'kirhero_blog_article_drop_shadow', 'kirhero_admin_footer_text_color',
					'kirhero_admin_footer_link_color', 'kirhero_admin_footer_link_color_hover', 'kirhero_admin_fonts_body_settings', 'kirhero_admin_fonts_body_settings_add',
					
					//fonts body
					'kirhero_admin_fonts_body_font_family', 'kirhero_admin_fonts_body_font_size', 'kirhero_admin_fonts_body_font_weight', 'kirhero_admin_fonts_body_font_style',
					'kirhero_admin_fonts_body_text_transform', 'kirhero_admin_fonts_body_letter_spacing', 'kirhero_admin_fonts_body_line_height', 'kirhero_admin_fonts_body_font_color',
					//fonts main_menu
					'kirhero_admin_fonts_main_menu_font_family', 'kirhero_admin_fonts_main_menu_font_size', 'kirhero_admin_fonts_main_menu_font_weight', 'kirhero_admin_fonts_main_menu_font_style',
					'kirhero_admin_fonts_main_menu_text_transform', 'kirhero_admin_fonts_main_menu_letter_spacing', 'kirhero_admin_fonts_main_menu_line_height',
					//fonts all_heading
					'kirhero_admin_fonts_all_heading_font_family', 'kirhero_admin_fonts_all_heading_font_size', 'kirhero_admin_fonts_all_heading_font_weight', 'kirhero_admin_fonts_all_heading_font_style',
					'kirhero_admin_fonts_all_heading_text_transform', 'kirhero_admin_fonts_all_heading_letter_spacing', 'kirhero_admin_fonts_all_heading_line_height', 'kirhero_admin_fonts_all_heading_font_color',
					//fonts page_title
					'kirhero_admin_fonts_page_title_font_family', 'kirhero_admin_fonts_page_title_font_size', 'kirhero_admin_fonts_page_title_font_weight', 'kirhero_admin_fonts_page_title_font_style',
					'kirhero_admin_fonts_page_title_text_transform', 'kirhero_admin_fonts_page_title_letter_spacing', 'kirhero_admin_fonts_page_title_line_height',
					//fonts logo
					'kirhero_admin_fonts_logo_font_family', 'kirhero_admin_fonts_logo_font_size', 'kirhero_admin_fonts_logo_font_weight', 'kirhero_admin_fonts_logo_font_style',
					'kirhero_admin_fonts_logo_text_transform', 'kirhero_admin_fonts_logo_letter_spacing', 'kirhero_admin_fonts_logo_line_height',
					//entry content
					'kirhero_admin_fonts_entry_content_font_family', 'kirhero_admin_fonts_entry_content_font_size', 'kirhero_admin_fonts_entry_content_font_weight', 'kirhero_admin_fonts_entry_content_font_style',
					'kirhero_admin_fonts_entry_content_text_transform', 'kirhero_admin_fonts_entry_content_letter_spacing', 'kirhero_admin_fonts_entry_content_line_height',
					'kirhero_admin_fonts_entry_content_font_color',
					//blog entry title
					'kirhero_admin_fonts_blog_entry_title_font_family', 'kirhero_admin_fonts_blog_entry_title_font_size', 'kirhero_admin_fonts_blog_entry_title_font_weight',
					'kirhero_admin_fonts_blog_entry_title_font_style','kirhero_admin_fonts_blog_entry_title_text_transform', 'kirhero_admin_fonts_blog_entry_title_letter_spacing', 
					'kirhero_admin_fonts_blog_entry_title_line_height',
					//blog post title
					'kirhero_admin_fonts_blog_post_title_font_family', 'kirhero_admin_fonts_blog_post_title_font_size', 'kirhero_admin_fonts_blog_post_title_font_weight',
					'kirhero_admin_fonts_blog_post_title_font_style','kirhero_admin_fonts_blog_post_title_text_transform', 'kirhero_admin_fonts_blog_post_title_letter_spacing', 
					'kirhero_admin_fonts_blog_post_title_line_height', 'kirhero_admin_fonts_blog_post_title_font_color',
					//blog post content
					'kirhero_admin_fonts_blog_post_content_font_family', 'kirhero_admin_fonts_blog_post_content_font_size', 'kirhero_admin_fonts_blog_post_content_font_weight',
					'kirhero_admin_fonts_blog_post_content_font_style','kirhero_admin_fonts_blog_post_content_text_transform', 'kirhero_admin_fonts_blog_post_content_letter_spacing', 
					'kirhero_admin_fonts_blog_post_content_line_height', 'kirhero_admin_fonts_blog_post_content_font_color',
					//sidebar title
					'kirhero_admin_fonts_sidebar_title_font_family', 'kirhero_admin_fonts_sidebar_title_font_size', 'kirhero_admin_fonts_sidebar_title_font_weight',
					'kirhero_admin_fonts_sidebar_title_font_style','kirhero_admin_fonts_sidebar_title_text_transform', 'kirhero_admin_fonts_sidebar_title_letter_spacing', 
					'kirhero_admin_fonts_sidebar_title_line_height', 'kirhero_admin_fonts_sidebar_title_font_color',

					
					
					
					
		);
		
		//widgets
		$settings['admin_widgets']= array( 'sidebar-primary', 'sidebar-primary-left', 'home-page-landing', ); 

		
		///////////
		///Header
		///////////
	
		//header/top-tpl.php
		$settings['header-type'] = 'minimal';
		$settings['show-header-second'] = false;
		$settings['header-height'] = 86;
		$settings['header-background-color'] = '#ffffff';
		$settings['header-full-width'] = false;
		$settings['header-fixed'] = true;
		
		$settings['header-padding-left'] = '0';
		$settings['header-padding-right'] = '0';
		$settings['header-padding-top'] = '0';
		$settings['header-padding-bottom'] = '0';
		
		$settings['header-margin-left'] = '0';
		$settings['header-margin-right'] = '0';
		$settings['header-margin-top'] = '0';
		$settings['header-margin-bottom'] = '0';
		
		//menu
		$settings['header-menu-background-color'] = '';
		$settings['header-menu-position'] = 'right';
		$settings['header-menu-link-color'] = '#000000';
		$settings['header-menu-link-hover-color'] = '#000000';
		$settings['header-menu-search-show'] = true;
		$settings['header-menu-padding-top'] = '4';
		$settings['header-menu-padding-left'] = '0';
		$settings['header-menu-padding-right'] = '0';
		$settings['header-menu-padding-bottom'] = '0';
		$settings['header-menu-dropdown-menu-background'] = '';
		$settings['header-menu-dropdown-menu-link-color'] = '';
		$settings['header-menu-dropdown-menu-link-color-hover'] = '';
		$settings['header-menu-link-active-color'] = '#000000';
		$settings['header-menu-link-color-effect'] = '#dd3333';
		
		//title / log
		$settings['header-logo-color'] = '#000000';
		$settings['header-logo-color-hover'] = 'red';
		$settings['header-tagline-color'] = '#000000';
		$settings['header-logo-height'] = '84';
		$settings['header-logo-width'] = '267';
		$settings['header-logo-title-show'] = true;
		$settings['header-logo-tagline-show'] = false;
		
		//24px for text logo
		$settings['header-menu-logo-padding-top'] = '24';
		$settings['header-menu-logo-padding-left'] = '17';
		$settings['header-menu-logo-padding-right'] = '0';
		$settings['header-menu-logo-padding-bottom'] = '0';

		$settings['header-drop-shadow'] = true;

		
		///////////
		///Blog
		///////////
		$settings['blog-customizer-layout'] = 'content-sidebar';
		$settings['blog-customizer-single-layout'] = 'content-sidebar';
		$settings['blog-both-sidebars-style'] = 'sidebar-content-sidebar';
		$settings['blog-single-both-sidebars-style'] = 'sidebar-content-sidebar';
		$settings['blog-style'] = 'grid-entry';
		$settings['blog-style-grid'] = '2';
		$settings['blog-equal-heights'] = true;
		$settings['blog-article-display'] = 'custom-text';
		$settings['blog-article-display-length'] = '30';
		$settings['blog-article-display-read-more-text'] = '... Continue Reading';
		
		$settings['blog-article-drop-shadow'] = false;

		
		$settings['blog-article-elements-positioning'] = array( 'featured_image', 'title', 'meta', 'content', 'read_more' );
		$settings['blog-article-meta'] = array( 'author', 'date', 'categories', 'comments' );
		$settings['blog-margin-top'] = '0';
		$settings['blog-article-image-size'] = 'medium_large';
		$settings['blog-article-image-overlay'] = true;
		
		$settings['blog-page-header-style'] = 'centered';
		$settings['blog-page-header-background-color'] = '';
		$settings['blog-page-header-text-background-color'] = '';
		
		$settings['blog-page-header-padding-top'] = '0';
		$settings['blog-page-header-padding-bottom'] = '0';
		
		$settings['blog-page-header-enable-breadcrumbs'] = true;
		$settings['blog-page-header-breadcrumbs-link-color'] = '';
		$settings['blog-page-single-elements-positioning'] = array( 'title', 'meta', 'featured_image', 'content', 'tags', 'next_prev', 'author_box', 'related_posts', 'single_comments' );
		$settings['blog-page-single-meta'] = array( 'comments', 'categories', 'author', 'date' );
		
		
		$settings['blog-page-single-featured-style'] = 'page-banner';
		$settings['blog-page-single-featured-size'] = 'small';
		$settings['blog-page-single-featured-full'] = true;
		
		///////////
		///General
		///////////
		$settings['general-layout-style'] = 'wide';
		$settings['general-layout-width'] = '1200';
		$settings['general-layout-wide-width'] = '1200';
		
		$settings['general-layout-content-width'] = '100';
		$settings['general-layout-left-width'] = '15';
		$settings['general-layout-right-width'] = '27';
		
		$settings['general-pages-layout'] = 'content-sidebar';
		$settings['general-pages-both-sidebars-style'] = 'sidebar-content-sidebar';
		
		$settings['general-pages-boxed-outside-background'] = '';
		$settings['general-pages-boxed-inner-background'] = '';
		$settings['general-pages-wide-content-background'] = '';
		
		
		$settings['blog-layout-boxed-shadow'] = true;
		
		$settings['general-pages-background-color'] = '';
		
		$settings['general-pages-primary-color'] = '';
		$settings['general-pages-primary-color-hover'] = '';
		$settings['general-pages-primary-border-color'] = '';
	
		//
		$settings['general-link-color'] = '';
		$settings['general-link-color-hover'] = '';
		
		//pages
		$settings['general-page-header-style'] = 'centered';
		$settings['general-page-header-background-color'] = '#EEEEEE';
		$settings['general-page-header-text-background-color'] = '#000000';
		$settings['general-page-header-padding-top'] = '20';
		$settings['general-page-header-padding-bottom'] = '20';
		$settings['general-page-header-enable-breadcrumbs'] = true;
		
		$settings['general-page-header-breadcrumbs-link-color'] = '#000000';
		
		
		
		///////////
		///Fonts
		///////////
		$settings['fonts-settings-add'] = '';
		//body
		$settings['fonts-body-font-family'] = 'Open Sans';
		$settings['fonts-body-font-size'] = '14px';
		$settings['fonts-body-font-weight'] = '300';
		$settings['fonts-body-font-style'] = 'normal';
		$settings['fonts-body-text-transform'] = 'none';
		$settings['fonts-body-letter-spacing'] = '0.1';
		$settings['fonts-body-line-height'] = '1';
		$settings['fonts-body-font-color'] = '#222222';
		//main_menu
		$settings['fonts-main-menu-font-family'] = 'Open Sans';
		$settings['fonts-main-menu-font-size'] = '14px';
		$settings['fonts-main-menu-font-weight'] = '600';
		$settings['fonts-main-menu-font-style'] = 'normal';
		$settings['fonts-main-menu-text-transform'] = 'uppercase';
		$settings['fonts-main-menu-letter-spacing'] = '0.1';
		$settings['fonts-main-menu-line-height'] = '1';
		//all_heading
		$settings['fonts-all-heading-font-family'] = '';
		$settings['fonts-all-heading-font-size'] = '';
		$settings['fonts-all-heading-font-weight'] = '600';
		$settings['fonts-all-heading-font-style'] = 'normal';
		$settings['fonts-all-heading-text-transform'] = 'uppercase';
		$settings['fonts-all-heading-letter-spacing'] = '0.1';
		$settings['fonts-all-heading-line-height'] = '1.5';
		$settings['fonts-all-heading-font-color'] = '';
		//page_title
		$settings['fonts-page-title-font-family'] = 'Open Sans';
		$settings['fonts-page-title-font-size'] = '24px';
		$settings['fonts-page-title-font-weight'] = '500';
		$settings['fonts-page-title-font-style'] = 'normal';
		$settings['fonts-page-title-text-transform'] = 'capitalize';
		$settings['fonts-page-title-letter-spacing'] = '0.1';
		$settings['fonts-page-title-line-height'] = '1';
		//logo
		$settings['fonts-logo-font-family'] = 'Tahoma, Geneva, sans-serif';
		$settings['fonts-logo-font-size'] = '30px';
		$settings['fonts-logo-font-weight'] = '700';
		$settings['fonts-logo-font-style'] = 'normal';
		$settings['fonts-logo-text-transform'] = 'uppercase';
		$settings['fonts-logo-letter-spacing'] = '0.1';
		$settings['fonts-logo-line-height'] = '1';
		//entry content
		$settings['fonts-entry-content-font-family'] = 'Open Sans';
		$settings['fonts-entry-content-font-size'] = '13px';
		$settings['fonts-entry-content-font-weight'] = '400';
		$settings['fonts-entry-content-font-style'] = 'normal';
		$settings['fonts-entry-content-text-transform'] = 'none';
		$settings['fonts-entry-content-letter-spacing'] = '0.1';
		$settings['fonts-entry-content-line-height'] = '1.5';
		$settings['fonts-entry-content-font-color'] = '#666666';
		//blog entry title
		$settings['fonts-blog-entry-title-font-family'] = 'Roboto';
		$settings['fonts-blog-entry-title-font-size'] = '21px';
		$settings['fonts-blog-entry-title-font-weight'] = '400';
		$settings['fonts-blog-entry-title-font-style'] = 'normal';
		$settings['fonts-blog-entry-title-text-transform'] = 'none';
		$settings['fonts-blog-entry-title-letter-spacing'] = '0.1';
		$settings['fonts-blog-entry-title-line-height'] = '1.5';
		
		//blog post title
		$settings['fonts-blog-post-title-font-family'] = 'Roboto';
		$settings['fonts-blog-post-title-font-size'] = '41px';
		$settings['fonts-blog-post-title-font-weight'] = '400';
		$settings['fonts-blog-post-title-font-style'] = 'normal';
		$settings['fonts-blog-post-title-text-transform'] = 'none';
		$settings['fonts-blog-post-title-letter-spacing'] = '0.1';
		$settings['fonts-blog-post-title-line-height'] = '1.2';
		$settings['fonts-blog-post-title-font-color'] = '#111111';
		
		//blog post content
		$settings['fonts-blog-post-content-font-family'] = 'Verdana, Geneva, sans-serif';
		$settings['fonts-blog-post-content-font-size'] = '15px';
		$settings['fonts-blog-post-content-font-weight'] = '';
		$settings['fonts-blog-post-content-font-style'] = 'normal';
		$settings['fonts-blog-post-content-text-transform'] = 'none';
		$settings['fonts-blog-post-content-letter-spacing'] = '0.1';
		$settings['fonts-blog-post-content-line-height'] = '1.5';
		$settings['fonts-blog-post-content-font-color'] = '#222222';
		
		//sidebar title
		$settings['fonts-sidebar-title-font-family'] = 'Roboto';
		$settings['fonts-sidebar-title-font-size'] = '14px';
		$settings['fonts-sidebar-title-font-weight'] = '400';
		$settings['fonts-sidebar-title-font-style'] = 'normal';
		$settings['fonts-sidebar-title-text-transform'] = 'uppercase';
		$settings['fonts-sidebar-title-letter-spacing'] = '0.1';
		$settings['fonts-sidebar-title-line-height'] = '1';
		$settings['fonts-sidebar-title-font-color'] = '';



		
		
		
		///////////
		///Sidebar
		///////////
		$settings['sidebar-background-color'] = '';
		$settings['sidebar-title-background-color'] = '#000000';
		$settings['sidebar-title-border-color'] = '';
		$settings['sidebar-link-color'] = '';
		$settings['sidebar-link-color-hover'] = '';
		$settings['sidebar-text-color'] = '';

		$settings['sidebar-padding-top'] = '15';
		$settings['sidebar-padding-right'] = '15';
		$settings['sidebar-padding-left'] = '15';
		$settings['sidebar-padding-bottom'] = '15';
		
		///////////
		///Footer
		///////////
		$settings['footer-background-color'] = '#222222';
		$settings['footer-text-color'] = '#ffffff';
		$settings['footer-link-color'] = '#ffffff';
		$settings['footer-link-color-hover'] = '#4db2ec';
		
		$settings['footer-text'] = '';
		//$settings['sidebar-padding-top'] = '0';
		//$settings['sidebar-padding-right'] = '0';
		//$settings['sidebar-padding-left'] = '0';
		//$settings['sidebar-padding-bottom'] = '0';
		
		///////////
		///Simple Slider
		///////////
		$settings['slider-background-image-size'] = 'medium';
		$settings['slider-full-width'] = true;
		$settings['slider-active'] = false;
		
		$settings['slider-text-header'] = 'Simple Slider Header Text';
		$settings['slider-text'] = 'Build a professional website without any coding knowledge';
		$settings['slider-under-header'] = true;

		
		return $settings;
	}
	
	

	
	
	
	static public function kirhero_before_outer_wrap_test()
	{
	?>
		<a id="skip" class="skip-link screen-reader-text" href="#kirhero-skip-link"><?php esc_html_e( 'Skip to content', 'orionwp' ); ?></a>
	<?php	
	}
	
	
	

}
