<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$heading = 'h2';
 
do_action( 'kirhero_before_blog_entry_title' ); 
?>

<header class="entry-header">
	<<?php echo esc_attr( $heading ); ?> class="entry-title">
		<a class="entry-title-link" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a>
	</<?php echo esc_attr( $heading ); ?>><!-- .blog-entry-title -->
</header><!-- .blog-entry-header -->

<?php do_action( 'kirhero_after_blog_entry_title' ); ?>